Bug 468187 - [autofs4] Incorrect "active offset mount" messages in syslog
[autofs4] Incorrect "active offset mount" messages in syslog
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ian Kent
Martin Jenner
:
Depends On:
Blocks: 475715
  Show dependency treegraph
 
Reported: 2008-10-23 10:20 EDT by Ian Kent
Modified: 2009-01-20 15:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:12:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to cleanup autofs mount type usage (4.43 KB, patch)
2008-10-23 10:27 EDT, Ian Kent
no flags Details | Diff
Patch to correct offset mount expire check (1.50 KB, patch)
2008-10-23 10:29 EDT, Ian Kent
no flags Details | Diff

  None (edit)
Description Ian Kent 2008-10-23 10:20:24 EDT
Description of problem:

When checking a directory tree in autofs_tree_busy() we can incorrectly
decide that the tree isn't busy. This happens for the case of an active
offset mount as autofs4_follow_mount() follows past the active offset
mount, which has an open file handle used for expires, causing the file
handle not to count toward the busyness check.

Version-Release number of selected component (if applicable):
Current RHEL-5 beta kernel.

How reproducible:
Occassionally.

Steps to Reproduce:
I noticed this while testing using the autofs connectathon test
suite.
  
Actual results:
The symptom is messages in the log of the form:
cache_delete_offset_list: active offset mount key /automount/test1/g9j/s1

Expected results:
No incorrect messages in the log.

Additional info:
The message results from the incorrect expire request returning
a failure to the kernel module when another process concurrently
performing a lookup waits for that expire and then issues a mount
request for a multi-mount with an active mount(s).

While the daemon catches this case and issues the message above it
shouldn't happen.
Comment 1 Ian Kent 2008-10-23 10:27:18 EDT
Created attachment 321292 [details]
Patch to cleanup autofs mount type usage

This patch is one of two patches to cleanup the autofs mount
type usage. The later patch isn't required by the following
bug fix patch and is planned for submission to RHEL-5.4.

The bug fix patch however does require that the autofs mount
type always be set explicitly. The current autofs4 code doesn't
do this, setting the default type to 0 instead of
AUTOFS_TYPE_INDIRECT, which was previously not a problem.
Comment 2 Ian Kent 2008-10-23 10:29:29 EDT
Created attachment 321294 [details]
Patch to correct offset mount expire check

This patch corrects the incorrect expire check and eliminates
the annoying log messages.
Comment 3 RHEL Product and Program Management 2008-10-23 10:46:48 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Don Zickus 2008-11-04 11:51:18 EST
in kernel-2.6.18-122.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 errata-xmlrpc 2009-01-20 15:12:48 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.